import request from "./request.js";
//付款
export const pay = (params) => {
	return request('/api/payQrCode', "POST", params, '1')
}
//微信登录
export const ulogin = (params) => {
	return request('/api/login', "POST", params, '1')
}
//微信注册
export const register = (params) => {
	return request('/api/register', "POST", params, '1')
}
//获取商户信息
export const getShop = (params) => {
	return request('/api/shop/detail_by_id', "POST", params, '2')
}
//获取商户抵扣 赠送比例
export const getmanager = (params) => {
	return request('/api/shop/manager_by_id', "POST", params, '2')
}
//获取随机立减金额
export const getReduction = (params) => {
	return request('/api/getReduction', "POST", params, '1')
}
//支付宝注册
export const zfbRegister = (params) => {
	return request('/api/zfbRegister', "POST", params, '1')
}
//支付宝登录
export const zfblogin = (params) => {
	return request('/api/zfblogin', "POST", params, '1')
}